# class ImageData

#### package js.html

Available on HTML5

The `ImageData` interface represents the underlying pixel data of an area of a `canvas` element. It is created using the `ImageData()` constructor or creator methods on the `CanvasRenderingContext2D` object associated with a canvas: `createImageData()` and `getImageData()`. It can also be used to set a part of the canvas by using `putImageData()`.

Documentation ImageData by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/ImageData

### Constructor

###

`new (data:Uint8ClampedArray, sw:Int, ?sh:Int)`

`new (sw:Int, sh:Int)`

Throws:

`null` | DOMError

### Variables

###

`read onlydata:Uint8ClampedArray`

Is a `Uint8ClampedArray` representing a one-dimensional array containing the data in the RGBA order, with integer values between `0` and `255` (included).

###

`read onlyheight:Int`

Is an `unsigned` `long` representing the actual height, in pixels, of the `ImageData`.

###

`read onlywidth:Int`

Is an `unsigned` `long` representing the actual width, in pixels, of the `ImageData`.